
<div class="container pt-5">
  <div class="text-center" style="font-weight: bold;">
    User List
    <a href="/add" class="btn btn-primary" style="float:right;">Add User</a>
  </div>
  <table class="table mt-5">
    <thead>
      <tr>
        <th scope="col">Name</th>
        <th scope="col">Age</th>
        <th scope="col">Username</th>
        <th scope="col">Action</th>
      </tr>
    </thead>
    <tbody>
      <% for(var i=0; i < users.length ; i++) {%>
      <tr>
        <th scope="row"><%= users[i].name%></th>
        <td><%= users[i].age%></td>
        <td><%= users[i].username%></td>
        <td>
          <a href="/edit/<%= users[i].id %>" class="btn btn-success">Edit</a>
          <a href="/delete/<%= users[i].id %>" class="btn btn-danger">Delete</a>

          <!-- Modal -->
          <!-- <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                  <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                  Are You Sure Want To Delete this User  <%= users[i].id %>?
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                  <a href="/delete/<%= users[i].id %>" class="btn btn-danger" type="button">Delete</a>
                </div>
              </div>
            </div>
          </div> -->
        </td>
      </tr>
      <% } %>
    </tbody>
  </table>
</div>
